package com.microservices.dss.projects.mapper;

import com.microservices.dss.projects.domain.PieChartNameAndValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectsMapper {

    int selectProjectCount();

    List<Object> getNewAddedProjectsByMonth(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<Object> getActiveProjectsByMonth(@Param("startTime") String startTime, @Param("endTime") String endTime);

    List<PieChartNameAndValue> getProjectNumOfDiffProgramLanguage(@Param("topNumber") Integer topNumber);

    List<PieChartNameAndValue> getProjectNumOfProjectCategory(@Param("topNumber") Integer topNumber);
}
